Package org.eclipse.emf.cdo.server.db.mapping

# Interface IListMapping3

All Superinterfaces:
  `IFeatureMapping`, `IListMapping`, `IListMapping2`

public interface IListMapping3 extends IListMapping2
Extension interface to `IListMapping2`.

Since:
  4.4
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`default ITypeMapping`
`getTypeMapping()`
`void`
`setClassMapping(IClassMapping classMapping)`

### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping

`getDBTables, getDBType, getFeature, getField, objectDetached, queryXRefs, readChunks, readValues, writeValues`

### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping2

`addRangedChunkWhere, addSimpleChunkWhere`

## Method Details

### getTypeMapping

default ITypeMapping getTypeMapping()

Specified by:
  `getTypeMapping` in interface `IFeatureMapping`
Specified by:
  `getTypeMapping` in interface `IListMapping`
Specified by:
  `getTypeMapping` in interface `IListMapping2`
Returns:
  The type mapping which is used for this feature mapping.
Since:
  4.14

### setClassMapping

void setClassMapping(IClassMapping classMapping)